cdac.medinfo.sdk.hl7282.baselibs

## Class CCP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.CCP

- All Implemented Interfaces:
    IDataType

      public class CCP
      extends CompositeDataType

  CCP - Channel Calibration Parameters

  This data type identifies the corrections to channel sensitivity, the baseline, and the channel time skew when transmitting waveform results.

  Represents an HL7 CCP data type. This data type has the following attributes:

  1. channel calibration sensitivity correction factor (NM)Optional
  2. channel calibration baseline (NM)Optional
  3. channel calibration time skew (NM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCP()` Default Constructor for CCP
    `CCP(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for CCP class which takes two arguments and sets the value in the respective member variable.
    `CCP(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for CCP class which takes five arguments and sets the value in the respective member variable.
    `CCP(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for CCP class which takes six arguments and sets the value in the respective member variable.
    `CCP(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CCP class which takes four arguments and sets the value in the respective member variable.
    `CCP(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for CCP class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `NM` | `getChannelCalibrationBaseline()` Returns Channel Calibration Baseline
    `NM` | `getChannelCalibrationSensitivityCorrectionFactor()` Returns Channel Calibration Sensitivity Correction Factor
    `NM` | `getChannelCalibrationTimeSkew()` Returns Channel Calibration Time Skew
    `void` | `setChannelCalibrationBaseline(NM objNM)` Sets the Channel Calibration Baseline.
    `void` | `setChannelCalibrationBaseline(java.lang.String strChannelCalibrationBaseline)` Sets the Channel Calibration Baseline.
    `void` | `setChannelCalibrationSensitivityCorrectionFactor(NM objNM)` Sets the Channel Calibration Sensitivity Correction Factor.
    `void` | `setChannelCalibrationSensitivityCorrectionFactor(java.lang.String strCCSCorrectionFactor)` Sets the Channel Calibration Sensitivity Correction Factor.
    `void` | `setChannelCalibrationTimeSkew(NM objNM)` Sets the Channel Calibration Time Skew.
    `void` | `setChannelCalibrationTimeSkew(java.lang.String strChannelCalibrationTimeSkew)` Sets the Channel Calibration Time Skew.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCP

          public CCP()

      Default Constructor for CCP

    - #### CCP

          public CCP(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CCP class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CCP

          public CCP(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CCP class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CCP

          public CCP(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for CCP class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CCP

          public CCP(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for CCP class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### CCP

          public CCP(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for CCP class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setChannelCalibrationSensitivityCorrectionFactor

          public void setChannelCalibrationSensitivityCorrectionFactor(java.lang.String strCCSCorrectionFactor)

      Sets the Channel Calibration Sensitivity Correction Factor.
      Parameters:
        `strCCSCorrectionFactor` - Defines a correction factor for channel sensitivity

    - #### setChannelCalibrationSensitivityCorrectionFactor

          public void setChannelCalibrationSensitivityCorrectionFactor(NM objNM)

      Sets the Channel Calibration Sensitivity Correction Factor.
      Parameters:
        `objNM` - Defines a correction factor for channel sensitivity

    - #### setChannelCalibrationBaseline

          public void setChannelCalibrationBaseline(java.lang.String strChannelCalibrationBaseline)

      Sets the Channel Calibration Baseline.
      Parameters:
        `strChannelCalibrationBaseline` - Defines the actual channel baseline

    - #### setChannelCalibrationBaseline

          public void setChannelCalibrationBaseline(NM objNM)

      Sets the Channel Calibration Baseline.
      Parameters:
        `objNM` - Defines the actual channel baseline

    - #### setChannelCalibrationTimeSkew

          public void setChannelCalibrationTimeSkew(java.lang.String strChannelCalibrationTimeSkew)

      Sets the Channel Calibration Time Skew.
      Parameters:
        `strChannelCalibrationTimeSkew` - Defines the time difference between the nominal sampling (digitization) time (which would be the same for all channels) and the actual sampling time of the channel, in seconds (or fractions thereof).

    - #### setChannelCalibrationTimeSkew

          public void setChannelCalibrationTimeSkew(NM objNM)

      Sets the Channel Calibration Time Skew.
      Parameters:
        `objNM` - Defines the time difference between the nominal sampling (digitization) time (which would be the same for all channels) and the actual sampling time of the channel, in seconds (or fractions thereof).

    - #### getChannelCalibrationSensitivityCorrectionFactor

          public NM getChannelCalibrationSensitivityCorrectionFactor()

      Returns Channel Calibration Sensitivity Correction Factor
      Returns:
        NM - data type.

    - #### getChannelCalibrationBaseline

          public NM getChannelCalibrationBaseline()

      Returns Channel Calibration Baseline
      Returns:
        NM - data type.

    - #### getChannelCalibrationTimeSkew

          public NM getChannelCalibrationTimeSkew()

      Returns Channel Calibration Time Skew
      Returns:
        NM - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.